Bug 697894 - Unable to complete install: 'internal error process exited while connecting to monitor:
Unable to complete install: 'internal error process exited while connecting t...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 11:07 EDT by David Lane
Modified: 2011-12-26 16:35 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 13:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lane 2011-04-19 11:07:43 EDT
Description of problem:

Unable to complete install: 'internal error process exited while connecting to monitor: char device redirected to /dev/pts/0
inet_listen_opts: bind(ipv4,127.0.0.1,5900): Cannot assign requested address
inet_listen_opts: FAILED

Unable to complete install '<class 'libvirt.libvirtError'> internal error process exited while connecting to monitor: char device redirected to /dev/pts/0
inet_listen_opts: bind(ipv4,127.0.0.1,5900): Cannot assign requested address
inet_listen_opts: FAILED

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1583, in do_install
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1321, in startup
    self._backend.create()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 333, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error process exited while connecting to monitor: char device redirected to /dev/pts/0
inet_listen_opts: bind(ipv4,127.0.0.1,5900): Cannot assign requested address
inet_listen_opts: FAILED


Version-Release number of selected component (if applicable):

Fedora 13, guest image RHEL3.8

How reproducible:

Creating a VM with the Virt-Mgr tool, connecting an existing img file.  On "finish" step, error is generated.

Steps to Reproduce:
1. Connect an exiting image
2. Click finish.
3.
  
Actual results:

Error.

Expected results:

Accepted image, functioning access to new VM.

Additional info:

Might be image related...one exiting image works fine, one fails.
Comment 1 Bug Zapper 2011-05-30 06:39:59 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 13:33:23 EDT
Maybe something else was listing on 5900 and qemu was colliding with it? Either way, closing as WORKSFORME since f13 almost EOL. Please reopen if you can reproduce against F14/F15/rawhide
Comment 3 h199526 2011-12-26 16:35:08 EST
Running fully updated F15.
Storage area = "pool#1" on disk#1 holds image file xpv.img which is a pre-existing image file copied into the new pool after a fresh F15 installation.

This ran yesterday but today gives the message below when powering on the virtual machine. 

Two slightly different messages can occur but message 2 is very similar to the description of this bug 697894.

message 1)
Error starting domain: cannot send monitor command '{"execute":"qmp_capabilities"}': Connection reset by peer

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/engine.py", line 959, in asyncfunc
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1128, in startup
    self._backend.create()
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 330, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: cannot send monitor command '{"execute":"qmp_capabilities"}': Connection reset by peer

message 2)
ERROR message:-
[CODE]Error starting domain: internal error process exited while connecting to monitor: char device redirected to /dev/pts/0
Failed to allocate 2097152000 B: Cannot message 1)allocate memory


Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/engine.py", line 959, in asyncfunc
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1128, in startup
    self._backend.create()
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 330, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error process exited while connecting to monitor: char device redirected to /dev/pts/0
Failed to allocate 2097152000 B: Cannot allocate memory

===============

Note You need to log in before you can comment on or make changes to this bug.